Loading...
Searching...
No Matches
BALL::VIEW::SetClippingPlane Class Reference
Visualisation » QT Dialogs

`#include <BALL/VIEW/DIALOGS/setClippingPlane.h>`

Inheritance diagram for BALL::VIEW::SetClippingPlane:

## Public Slots

void | okPressed ()

## Public Member Functions

| SetClippingPlane (QWidget *parent=0, const char *name="SetClippingPlane", ClippingPlane *plane=0)
| ~SetClippingPlane ()

## Public Attributes

ClippingPlane * | plane_

## Detailed Description

Dialog to set a clipping plane to a given value

Definition at line 27 of file setClippingPlane.h.

## Constructor & Destructor Documentation

## SetClippingPlane()

BALL::VIEW::SetClippingPlane::SetClippingPlane | ( | QWidget * | parent = 0,
|  | const char * | name = "SetClippingPlane",
|  | ClippingPlane * | plane = 0 )

## ~SetClippingPlane()

BALL::VIEW::SetClippingPlane::~SetClippingPlane | ( |  | ) |

## Member Function Documentation

## okPressed

void BALL::VIEW::SetClippingPlane::okPressed | ( |  | ) |

slot

## Member Data Documentation

## plane_

ClippingPlane* BALL::VIEW::SetClippingPlane::plane_

Definition at line 37 of file setClippingPlane.h.